### Constructor

# GUPnPAV MediaCollection new_from_string

#### Declaration [src]

    GUPnPMediaCollection*
    gupnp_media_collection_new_from_string (
      const char* data
    )

#### Description [src]

Parse a new `GUPnPMediaCollection` from a block of XML data.

#### Parameters

`data`

  Type: `const char*`

  XML string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GUPnPMediaCollection`

A new `GUPnPMediaCollection`.

The caller of the function takes ownership of the data, and is responsible for freeing it.